## org.firebirdsql.gds.impl
Class GDSServerVersionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.firebirdsql.gds.GDSException
                  org.firebirdsql.gds.impl.GDSServerVersionException

All Implemented Interfaces:
  Serializable

    public class GDSServerVersionException

extends GDSException

Exception is thrown when server returns a version string in a format that this driver does not understand.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.firebirdsql.gds.GDSException
`intParam, next, strParam, type, xaErrorCode`

Constructor Summary
`GDSServerVersionException(String message)`

Method Summary

Methods inherited from class org.firebirdsql.gds.GDSException
`createWithXAErrorCode, getFbErrorCode, getIntParam, getMessage, getNext, getParam, getXAErrorCode, isWarning, setNext, setXAErrorCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GDSServerVersionException

    public GDSServerVersionException(String message)

Copyright © 2001-2010. All Rights Reserved.